%define pypi_name	ldap
%define bdir_name	python-ldap

Name:		python-ldap
Version:	3.4.4
Release:	%mkrel 3
Summary:	Python modules for implementing LDAP clients
License:	Python
Group:		Development/Python
Url:		https://pypi.org/project/python-ldap
Source0:	https://github.com/python-ldap/python-ldap/archive/refs/tags/python-ldap-%{version}.tar.gz
Patch0:		python-ldap-3.4.2-libs.patch
BuildRequires:	openldap-devel >= 2.4.11
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libsasl2)

%description
python-ldap provides an object-oriented API to access LDAP directory
servers from Python programs. Mainly it wraps the OpenLDAP 2.x libs
for that purpose.

Additionally the package contains pypi_names for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%package -n	python3-%{pypi_name}
Summary:	Python 3 pypi_names for implementing LDAP clients
Group:		Development/Python
BuildRequires:  python3-devel
Requires:	openldap

Obsoletes:	python3-pyldap < 2.4.45-2
Provides:	python3-pyldap = %{version}-%{release}
Provides:       python%{python3_version}dist(pyldap) = %{version}-%{release}
Provides:       python3dist(pyldap) = %{version}-%{release}

%description -n	python3-%{pypi_name}
python3-ldap provides an object-oriented API to access LDAP directory
servers from Python 3 programs. Mainly it wraps the OpenLDAP 2.x libs
for that purpose.

Additionally the package contains pypi_names for other LDAP-related stuff
(e.g. processing LDIF, LDAPURLs, LDAPv3 schema, etc.).

%prep
%setup -q -n %{bdir_name}-%{bdir_name}-%{version}
%autopatch -p1

chmod a+r -R .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ldap slapdtest _ldap ldif ldapurl

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES README TODO Demo/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.4.4-3.mga10
+ Revision: 2241043
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.4.4-2.mga10
+ Revision: 2158383
- rebuild for python3.13

* Wed Jan 31 2024 papoteur <papoteur> 3.4.4-1.mga10
+ Revision: 2036403
- new version 3.4.4

* Tue Jan 03 2023 philippem <philippem> 3.4.3-1.mga9
+ Revision: 1929595
- libldap and libldap_r merged in OpenLDAP's 2.5 release
+ neoclust <neoclust>
- New version 3.4.3

* Sat Jul 16 2022 mrambo3501 <mrambo3501> 3.4.2-1.mga9
+ Revision: 1869201
- version 3.4.2 fixes CVE-2021-46823 (mga#30627)
- rediff Patch0

* Wed Mar 30 2022 umeabot <umeabot> 3.3.1-4.mga9
+ Revision: 1833876
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.3.1-3.mga9
+ Revision: 1783838
- rebuild for python-3.10

* Sun Mar 14 2021 wally <wally> 3.3.1-2.mga9
+ Revision: 1702755
- rebuild for python 3.9

* Sat Nov 07 2020 guillomovitch <guillomovitch> 3.3.1-1.mga8
+ Revision: 1643226
- new version 3.3.1

* Sun Feb 16 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1535062
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1450841
- new version: 3.2.0

* Sun Sep 15 2019 tv <tv> 3.1.0-5.mga8
+ Revision: 1441435
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jan 13 2019 daviddavid <daviddavid> 3.1.0-4.mga7
+ Revision: 1355817
- fix provides

* Tue Jan 08 2019 tv <tv> 3.1.0-3.mga7
+ Revision: 1351611
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1300516
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 joequant <joequant> 3.1.0-1.mga7
+ Revision: 1237019
- add source
- update to 3.1.0

* Mon Mar 26 2018 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1212541
- new version: 3.0.0
- rename python-ldap to python2-ldap
- now python3-ldap is available and replace python3-pyldap
- update URL and summary

* Tue Feb 16 2016 umeabot <umeabot> 2.4.22-2.mga7
+ Revision: 962228
- Mageia 6 Mass Rebuild

* Sat Oct 31 2015 philippem <philippem> 2.4.22-1.mga6
+ Revision: 896946
- update to 2.4.22

* Wed Oct 15 2014 umeabot <umeabot> 2.4.13-7.mga5
+ Revision: 741105
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.13-6.mga5
+ Revision: 728948
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.13-5.mga5
+ Revision: 688120
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.4.13-3.mga4
+ Revision: 543761
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.4.13-2.mga4
+ Revision: 498844
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 28 2013 philippem <philippem> 2.4.13-1.mga4
+ Revision: 472623
- update to 2.4.13

* Sun Jan 13 2013 umeabot <umeabot> 2.4.10-2.mga3
+ Revision: 379040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 philippem <philippem> 2.4.10-1.mga3
+ Revision: 287239
- New upstream release 2.4.10

* Wed Feb 29 2012 philippem <philippem> 2.4.8-1.mga2
+ Revision: 216059
- Update to 2.4.8.

* Sun Jan 08 2012 philippem <philippem> 2.4.6-1.mga2
+ Revision: 193277
- Update to 2.4.6.

* Sun Jun 12 2011 kharec <kharec> 2.4.0-1.mga2
+ Revision: 105263
- new version 2.4.0
- rediff patch0 for fix linking

* Sun Jan 23 2011 ennael <ennael> 2.3.12-1.mga1
+ Revision: 34398
- imported package python-ldap


* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 2.3.12-1mdv2011.0
+ Revision: 600940
- new version 2.3.12

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 2.3.11-6mdv2011.0
+ Revision: 589996
- rebuild for python 2.7

* Tue May 04 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.3.11-5mdv2010.1
+ Revision: 542084
- Re-enable ssl support, broken by latest patch.

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 2.3.11-4mdv2010.1
+ Revision: 532475
- newer patch

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 2.3.11-3mdv2010.1
+ Revision: 532474
- fix link

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.3.11-2mdv2010.1
+ Revision: 515902
- update to 2.3.11

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.10-2mdv2010.1
+ Revision: 511631
- rebuilt against openssl-0.9.8m

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.10-1mdv2010.1
+ Revision: 496369
- update to new version 2.3.10

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.9-1mdv2010.0
+ Revision: 410343
- update to new version 2.3.9

* Mon May 11 2009 Buchan Milne <bgmilne@mandriva.org> 2.3.8-1mdv2010.0
+ Revision: 374233
- update to new version 2.3.8
- Fix source URL

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.3.5-2mdv2009.1
+ Revision: 318990
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.5-1mdv2009.1
+ Revision: 305840
- update to new version 2.3.5

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 2.3.4-1mdv2009.0
+ Revision: 199939
- update to new version 2.3.4

* Sun Feb 10 2008 Frederik Himpe <fhimpe@mandriva.org> 2.3.1-2mdv2008.1
+ Revision: 164726
- Rebuild against openldap 2.4 libraries

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Funda Wang <fwang@mandriva.org> 2.3.1-1mdv2008.0
+ Revision: 55848
- Remove patch, merged upstream
- New version

  + Andreas Hasenack <andreas@mandriva.com>
    - added support for modify+increment (RFC4525) extension

* Thu May 03 2007 Andreas Hasenack <andreas@mandriva.com> 2.3-1mdv2008.0
+ Revision: 21512
- updated to version 2.3
- adjusted buildrequires, we now require openldap-devel >= 2.3


* Sun Mar 04 2007 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.1-3mdv2007.0
+ Revision: 132191
- Requires python, not just python-base (fixes bug #27794).

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.1-2mdv2007.1
+ Revision: 88466
- rebuild with python 2.5

* Thu Nov 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.1-1mdv2007.1
+ Revision: 84835
- updated to version 2.2.1
- Import python-ldap

* Fri May 05 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.0-1mdk
- updated to version 2.2.0

* Wed Nov 23 2005 Andreas Hasenack <andreas@mandriva.com> 2.0.11-2mdk
- rebuilt with openssl 0.9.8a

* Mon Nov 07 2005 Buchan Milne <bgmilne@mandriva.org> 2.0.11-1mdk
- New release 2.0.11

* Wed Aug 31 2005 Emmanuel Blindauer <blindauer@mandriva.org> 2.0.9-2mdk
- Add missing Requires

* Fri Jul 29 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.9-1mdk
- New release 2.0.9

* Wed Jun 22 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.8-1mdk
- New release 2.0.8
- rpmbuildupdate-able and %%mkrel-ed
- clean buildroot in %%install
- cleanups

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.0.2-2mdk
- Rebuild for new python

* Thu Sep 02 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.2-1mdk
- 2.0.2

* Wed Jul 21 2004 Buchan Milne<bgmilne@linux-mandrake.com> 2.0.1-1mdk
- 2.0.1
- remove redundant buildrequires
- drop patch (no longer required), empty library_dirs in setup.cfg to avoid
  rpath entries

* Tue Apr 20 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.0-0.pre19.3mdk
- BuildRequires openssl-devel

* Tue Apr 20 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.0-0.pre19.2mdk
- BuildRequires libsasl2-devel

